
Ruby - Bug #817

SystemStackError後のrescue

12/03/2008 04:46 PM - wanabe (_ wanabe)

Status: Rejected   

Priority: Normal   

Assignee: ko1 (Koichi Sasada)   

Target version:    

ruby -v:  Backport:  

Description

=begin

スタックがあふれた後に例外が捕捉される位置がおかしくなるように思います。

$ ./ruby -ve '

def foo

foo

rescue SystemStackError

raise RuntimeError

rescue RuntimeError

puts "ng"

end

foo rescue puts "ok"

'

ruby 1.9.0 (2008-12-01 revision 20433) [i386-mingw32]

ng

=end

History

#1 - 12/05/2008 09:15 PM - ko1 (Koichi Sasada)

- Assignee set to ko1 (Koichi Sasada)

=begin

=end

#2 - 12/07/2008 02:21 AM - wanabe (_ wanabe)

=begin

すみません、もう一度考えてみたら

最内のRuntimeErrorをその１つ上の階層のfooのrescueが拾っているだけなので

全く正しい挙動だったことに気がつきました。

お手数ですがrejectお願いします。

=end

#3 - 12/07/2008 02:33 AM - matz (Yukihiro Matsumoto)

- Status changed from Open to Rejected

=begin

rejected as requested by the original poster.

=end

Powered by TCPDF (www.tcpdf.org)

06/16/2025 1/1

http://www.tcpdf.org

